Generate webhook report

This request generates a report of webhooks sent from your account.

   Click here to learn more about this request

LoanPro features a Reports tab where users can view and export filtered information. Note the following when using this request:

This request queries a history of webhooks sent from your account.

The response of this request lists both information regarding the webhook itself and the loan or line of credit account it's associated with.

For an example of how the Webhooks Report works within the UI, take a look at our Generating and exporting reports article.

Database

For information regarding database tables that store webhook and notification history, see the following articles:

Database – Webhook Delivery (web_hook_delivery_entity)

Database – Delivery Entity (delivery_entity)

{
    "reportOptions": {
        "return_code": "200",
        "method": "POST",
        "delivery_id": "51",
        "dateFrom": "2023-12-17 00:00:01",
        "dateTo": "2023-12-21 23:59:59",
        "trace_id": "39ca80d9-6ebb-4802-91f5-9fa2fe41efd6"
    }
}
Query Params
int32

Sets the amount of results listed within the response.
> The system will default to 10 results if this parameter is not used.

int32

Sets the start point of the results.

string

Sets how the results are ordered.
> Results can be ordered by any parameter.
> Use asc for ascending results and desc for descending results.

Body Params
reportOptions
object
required

This object holds the search parameters for your report.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json